# Generated from enumz-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name enumz

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Ruby Enumeration
License: MIT
URL: http://github.com/obieq/enumz
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.4
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Provides enumeration functionality akin to that of C#'s .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.simplecov
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/enumz.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.1-1
- Initial package
